use std::path::PathBuf;
use tool_helper::Error;

pub struct TIMInfo {}

pub fn load_image(path: PathBuf) -> Result<(slint::Image, TIMInfo), Error> {
    Ok((slint::Image::load_from_path(&path).or_else(|_| {Err(Error::from_str("Failed loading image"))})?, TIMInfo{}))
}